org.wildfly.swarm.config.undertow.server

## Class Host<T extends Host<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.server.Host<T>

-     public class Host<T extends Host<T>>
      extends Object

  An Undertow host

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Host.HostResources` Child mutators for Host

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Host(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `accessLogSetting()` The access log configuration for this virtual server.
    `T` | `accessLogSetting(AccessLogSetting value)` The access log configuration for this virtual server.
    `T` | `accessLogSetting(AccessLogSettingConsumer consumer)` The access log configuration for this virtual server.
    `T` | `accessLogSetting(AccessLogSettingSupplier supplier)` The access log configuration for this virtual server.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `List<String>` | `alias()` Aliases for the host
    `T` | `alias(List<String> value)` Aliases for the host
    `T` | `alias(String... args)` Aliases for the host
    `T` | `alias(String value)` Aliases for the host
    `Integer` | `defaultResponseCode()` If set, this will be response code sent back in case requested context does not exist on server.
    `T` | `defaultResponseCode(Integer value)` If set, this will be response code sent back in case requested context does not exist on server.
    `String` | `defaultWebModule()` Default web module
    `T` | `defaultWebModule(String value)` Default web module
    `Boolean` | `disableConsoleRedirect()` if set to true, /console redirect wont be enabled for this host, default is false
    `T` | `disableConsoleRedirect(Boolean value)` if set to true, /console redirect wont be enabled for this host, default is false
    `T` | `filterRef(FilterRef value)` Add the FilterRef object to the list of subresources
    `T` | `filterRef(FilterRefSupplier supplier)` Install a supplied FilterRef object to the list of subresources
    `T` | `filterRef(String childKey)` Create and configure a FilterRef object to the list of subresources
    `T` | `filterRef(String childKey, FilterRefConsumer consumer)` Create and configure a FilterRef object to the list of subresources
    `T` | `filterRefs(List<FilterRef> value)` Add all FilterRef objects to this subresource
    `String` | `getKey()`
    `T` | `httpInvokerSetting()` The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming
    `T` | `httpInvokerSetting(HTTPInvokerSetting value)` The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming
    `T` | `httpInvokerSetting(HTTPInvokerSettingConsumer consumer)` The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming
    `T` | `httpInvokerSetting(HTTPInvokerSettingSupplier supplier)` The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming
    `T` | `location(Location value)` Add the Location object to the list of subresources
    `T` | `location(LocationSupplier supplier)` Install a supplied Location object to the list of subresources
    `T` | `location(String childKey)` Create and configure a Location object to the list of subresources
    `T` | `location(String childKey, LocationConsumer consumer)` Create and configure a Location object to the list of subresources
    `T` | `locations(List<Location> value)` Add all Location objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `singleSignOnSetting()` An SSO authentication mechanism configuration.
    `T` | `singleSignOnSetting(SingleSignOnSetting value)` An SSO authentication mechanism configuration.
    `T` | `singleSignOnSetting(SingleSignOnSettingConsumer consumer)` An SSO authentication mechanism configuration.
    `T` | `singleSignOnSetting(SingleSignOnSettingSupplier supplier)` An SSO authentication mechanism configuration.
    `Host.HostResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Host

          public Host(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Host.HostResources subresources()

    - #### filterRefs

          public T filterRefs(List<FilterRef> value)

      Add all FilterRef objects to this subresource
      Parameters:
        `value` - List of FilterRef objects.
      Returns:
        this

    - #### filterRef

          public T filterRef(FilterRef value)

      Add the FilterRef object to the list of subresources
      Parameters:
        `value` - The FilterRef to add
      Returns:
        this

    - #### filterRef

          public T filterRef(String childKey,
                             FilterRefConsumer consumer)

      Create and configure a FilterRef object to the list of subresources
      Parameters:
        `key` - The key for the FilterRef resource
        `config` - The FilterRefConsumer to use
      Returns:
        this

    - #### filterRef

          public T filterRef(String childKey)

      Create and configure a FilterRef object to the list of subresources
      Parameters:
        `key` - The key for the FilterRef resource
      Returns:
        this

    - #### filterRef

          public T filterRef(FilterRefSupplier supplier)

      Install a supplied FilterRef object to the list of subresources

    - #### locations

          public T locations(List<Location> value)

      Add all Location objects to this subresource
      Parameters:
        `value` - List of Location objects.
      Returns:
        this

    - #### location

          public T location(Location value)

      Add the Location object to the list of subresources
      Parameters:
        `value` - The Location to add
      Returns:
        this

    - #### location

          public T location(String childKey,
                            LocationConsumer consumer)

      Create and configure a Location object to the list of subresources
      Parameters:
        `key` - The key for the Location resource
        `config` - The LocationConsumer to use
      Returns:
        this

    - #### location

          public T location(String childKey)

      Create and configure a Location object to the list of subresources
      Parameters:
        `key` - The key for the Location resource
      Returns:
        this

    - #### location

          public T location(LocationSupplier supplier)

      Install a supplied Location object to the list of subresources

    - #### accessLogSetting

          public T accessLogSetting(AccessLogSetting value)

      The access log configuration for this virtual server.

    - #### accessLogSetting

          public T accessLogSetting(AccessLogSettingConsumer consumer)

      The access log configuration for this virtual server.

    - #### accessLogSetting

          public T accessLogSetting()

      The access log configuration for this virtual server.

    - #### accessLogSetting

          public T accessLogSetting(AccessLogSettingSupplier supplier)

      The access log configuration for this virtual server.

    - #### singleSignOnSetting

          public T singleSignOnSetting(SingleSignOnSetting value)

      An SSO authentication mechanism configuration.

    - #### singleSignOnSetting

          public T singleSignOnSetting(SingleSignOnSettingConsumer consumer)

      An SSO authentication mechanism configuration.

    - #### singleSignOnSetting

          public T singleSignOnSetting()

      An SSO authentication mechanism configuration.

    - #### singleSignOnSetting

          public T singleSignOnSetting(SingleSignOnSettingSupplier supplier)

      An SSO authentication mechanism configuration.

    - #### httpInvokerSetting

          public T httpInvokerSetting(HTTPInvokerSetting value)

      The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming

    - #### httpInvokerSetting

          public T httpInvokerSetting(HTTPInvokerSettingConsumer consumer)

      The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming

    - #### httpInvokerSetting

          public T httpInvokerSetting()

      The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming

    - #### httpInvokerSetting

          public T httpInvokerSetting(HTTPInvokerSettingSupplier supplier)

      The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming

    - #### alias

          public List<String> alias()

      Aliases for the host

    - #### alias

          public T alias(List<String> value)

      Aliases for the host

    - #### alias

          public T alias(String value)

      Aliases for the host

    - #### alias

          public T alias(String... args)

      Aliases for the host

    - #### defaultResponseCode

          public Integer defaultResponseCode()

      If set, this will be response code sent back in case requested context does not exist on server.

    - #### defaultResponseCode

          public T defaultResponseCode(Integer value)

      If set, this will be response code sent back in case requested context does not exist on server.

    - #### defaultWebModule

          public String defaultWebModule()

      Default web module

    - #### defaultWebModule

          public T defaultWebModule(String value)

      Default web module

    - #### disableConsoleRedirect

          public Boolean disableConsoleRedirect()

      if set to true, /console redirect wont be enabled for this host, default is false

    - #### disableConsoleRedirect

          public T disableConsoleRedirect(Boolean value)

      if set to true, /console redirect wont be enabled for this host, default is false

Copyright © 2018 JBoss by Red Hat. All rights reserved.